--[[----------------------------------------------------------------------------

OzReferenceDimension.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

local KSJpegDecodeService = require "KSJpegDecodeService"

--==============================================================================


local function getReferenceDimensions( jpegData )

	local success, w, h, p, rw, rh =
		pcall( KSJpegDecodeService.decodeWidthHeightPlanesReferenceSize, jpegData )
		
	if not success then
		return nil, nil
	end
	
	if rw and rh and 0 < rw and 0 < rh then
		return rw, rh
	end
	
	if w and h and 0 < w and 0 < h then
		return w, h
	end
	
	debug.print( "Bad JPEG dimensions: ", w, h, p, rw, rh )
	
	return nil, nil

end

--==============================================================================

return {
	getReferenceDimensions = getReferenceDimensions,
}
